%define upstream_name    DateTime-Format-CLDR
%define upstream_version 1.17

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Parse and format CLDR time patterns
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime) >= 0.480.0
BuildRequires: perl(DateTime::Incomplete)
BuildRequires: perl(DateTime::Locale) >= 0.420.0
BuildRequires: perl(DateTime::TimeZone) >= 0.950.0
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Params::Validate) >= 0.760.0
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Test::Simple) >= 0.820.0
BuildRequires: perl(Test::Warn)
BuildArch:  noarch

%description
This module provides a parser (and also a formater) for datetime strings
using patterns as defined by the Unicode CLDR Project (Common Locale Data
Repository). the http://unicode.org/cldr/ manpage.

CLDR format is supported by the DateTime manpage and the DateTime::Locale
manpage starting with version 0.40.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Jul 10 2017 bb2 <bb2> - 1.170.0-4pclos2017
- rebuild against updates
